
import { Progress, Button, Input } from 'antd'
import { message } from "antd/lib/index";
import { extendRule, initFilter } from "../../utils/common";
import DropDownPagination from "../../components/common/DropDownPaginationEx"
import moment from 'moment';
//用户列表页
export default {

  //自动分配
    btnRevert: ({ record, login, loadData, getLoadParam, dispatch, clearSelectedRowKeys }) => {
    let val = initFilter(login.OrgId, record.VarId,"","","",2);
    dispatch({
      type: 'app/getDataByPost',
      payload: val,
      url: "DD/Dosages/CorrectDataDeal",
      onComplete: (ret) => {
        if (ret) {
          message.success('操作成功');
          loadData();
        }
      }
    });

  },
  btnSetOk: ({ record, login, loadData, getLoadParam, dispatch, clearSelectedRowKeys }) => {
    let val = initFilter(login.OrgId, record.VarId,"","","",1);
    dispatch({
      type: 'app/getDataByPost',
      payload: val,
      url: "DD/Dosages/CorrectDataDeal",
      onComplete: (ret) => {
        if (ret) {
          message.success('操作成功');
          loadData();
        }
      }
    });

  },
}
